Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class ConnectionInfo

    java.lang.Object
      jet.api.ConnectionInfo

    public class ConnectionInfo

extends java.lang.Object

An information package of the connection

Constructor Summary
`ConnectionInfo(java.lang.String uid, java.lang.String pwd)`
`ConnectionInfo(java.lang.String UID, java.lang.String PSWD, int QualifiedNamePattern, int extraNamePattern, java.lang.String strExtraNameChar, java.lang.String strQuoteNameChar, int encodingPattern, java.lang.String dateFormat, java.lang.String timeFormat, java.lang.String timestampFormat, boolean uptoDateSI, int transactionIsolation, int readOnly)` Constructor.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionInfo

    public ConnectionInfo(java.lang.String uid,
                          java.lang.String pwd)

### ConnectionInfo

    public ConnectionInfo(java.lang.String UID,
                          java.lang.String PSWD,
                          int QualifiedNamePattern,
                          int extraNamePattern,
                          java.lang.String strExtraNameChar,
                          java.lang.String strQuoteNameChar,
                          int encodingPattern,
                          java.lang.String dateFormat,
                          java.lang.String timeFormat,
                          java.lang.String timestampFormat,
                          boolean uptoDateSI,
                          int transactionIsolation,
                          int readOnly)

  Constructor. Creates the connection information.

  Parameters:
    `UID` - the user name to connect the database. It is determined by your database.
    `PSWD` - the password to connect the database. It is determined by your database.
    `QualifiedNamePattern` - the qualified name pattern, used in building name of table, view and other data objects.
    `extraNamePattern` - the extra name pattern type
    `strExtraNameChar` - the extra name char
    `strQuoteNameChar` - the quote name char
    `encodingPattern` - specifies whether the data fetched from the database is encoded
    `dateFormat` - the date format used in DBMS.
    `timeFormat` - the time format used in DBMS.
    `timestampFormat` - the timestamp format used in DBMS.
    `uptoDateSI` - uptodates jdbc support information of the connection
    `transactionIsolation` - the transaction isolation level
    `readOnly` - specifies the Read-only property each time the driver connects to the database

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD